from downloaderbase import DownloaderBase

class DavidsDownloader(DownloaderBase):
    classname = "DavidsDownloader"
    site_key = ""
    set_cookie_urls = ["http://www.davidsummercommunications.com/audiocaptchademonstration/",
                       "http://www.davidsummercommunications.com/audiocaptchademonstration/captchaplayer.swf"]
    download_url = "http://www.davidsummercommunications.com/audiocaptchademonstration/dsPlaySound.php"
    referer = "http://www.davidsummercommunications.com/audiocaptchademonstration/"
    submit_url = "http://www.davidsummercommunications.com/audiocaptchademonstration/dsAudioCaptchaSubmitDemo.php"
    answer_field = "userAnswer"
    challenge_field = ""
    def get_audio_url_and_challenge(self):
        for i in range(0, len(self.set_cookie_urls)):
            self.get_url(self.set_cookie_urls[i], i == 0)
        return "nochallenge", self.download_url
    
    def submit_captcha(self, challenge, answer):
        answer = answer.replace(" ", "")
        response = self.respond_to_captcha("", answer, "")
        return response.find("1") != -1 

    
