#Cleans up the md5sum file.
#Before running on a file, such as newmd5s, run the command: cat md5sums new_md5s | sort -u > md5sums2
#Then run it: python fixMd5sum.py md5sums2
#It will output md5sums2.new which is only unique md5 sums

import sys

if len(sys.argv) < 2:
	print "Usage: fixMd5sum.py md5file"

print "Reading old"
md5old = open(sys.argv[1], 'r')
oldLines = md5old.readlines()
md5old.close()
print "Done, writing unique md5s to new_md5sums"

md5new = open(sys.argv[1] + ".new", 'w')
lastMd5 = ""
for i in range(len(oldLines)):
	oldLines[i] = oldLines[i].replace("  automated/samples/", " ").replace(".mp3", "")
	parts = oldLines[i].split(" ")
	if len(parts) == 2 and parts[0] != lastMd5:
		lastMd5 = parts[0]
		md5new.write(oldLines[i])

md5new.close()
