from downloaderbase import DownloaderBase

class SlashdotDownloader(DownloaderBase):
    classname = "SlashdotDownloader"
    site_key = ""
    download_url = "https://slashdot.org/login.pl?op=mailpasswdform"
    submit_url = "https://slashdot.org/login.pl"
    referer = "https://slashdot.org/login.pl"
    challenge_field = "formkey"
    answer_field = "hcanswer"

    def get_audio_url_and_challenge(self):
        output = self.get_url(self.download_url, True)
        url = self.find_string(output, 'does not support the audio element.</audio><a href="', '"')
        challenge = self.find_string(output, 'name="formkey"\nvalue="', '"')
        return challenge, "https:" + url
    
    def submit_captcha(self, challenge, answer):
        other_data = "op=mailpasswd&mailpasswd=Mail+Password&unickname=lds34r43aklkf34dsaksafdlkafdskws"
        response = self.respond_to_captcha(challenge, answer, other_data)
        if response.find("reached your maximum number of login forms") != -1:
            return None
        return response.find("failed to confirm you are a human") == -1

    
