from downloaderbase import DownloaderBase

class SecurimageDownloader(DownloaderBase):
    classname = "SecurimageDownloader"
    site_key = ""
    set_cookie_url = "http://www.phpcaptcha.org/try-securimage/"
    download_url = "http://www.phpcaptcha.org/securimage3/new/securimage_play.php"
    referer = "http://www.phpcaptcha.org/try-securimage/"
    submit_url = "http://www.phpcaptcha.org/try-securimage/"

    answer_field = "ct_captcha0"
    challenge_field = ""

    filetype = "RIFF"
    fileext= ".wav"
    def get_audio_url_and_challenge(self):
        self.get_url(self.set_cookie_url)
        return "nochallenge", self.download_url
    
    def submit_captcha(self, challenge, answer):
        answer = answer.replace(" ", "")
        response = self.respond_to_captcha("", answer, "")
        return response.find("the code entered was incorrect") == -1 

    
